## maemo-org 2.0.1-6

=== debian/changelog ===
maemo-org (2.0.1-6) stable; urgency=low

  Updated for PR 1.2, New icon set, and More.

 -- Andrew Black <andrewfblack@gmail.com>  Tue, 02 Nov 2010 22:45:15 +0000
