=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/maemo-org" install
	mkdir -p "$(CURDIR)/debian/maemo-org"

#	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/control_bluetooth_uncategorised.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/control_bluetooth_uncategorised.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/filemanager_unknown_file.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/filemanager_unknown_file.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/fmms.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/fmms.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_active_sync.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_active_sync.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_active_sync_error.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_active_sync_error.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_bluetooth.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_bluetooth.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_map.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_map.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_notes.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_notes.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_pdf.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_pdf.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_removable_memory_card.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_removable_memory_card.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_rss.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_rss.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_synchronization.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_synchronization.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_web.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_web.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/pidgin.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/pidgin.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/synchronization_oneway_publish.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/synchronization_oneway_publish.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/synchronization_oneway_subscibe.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/synchronization_oneway_subscibe.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_blocks.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_blocks.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_chess.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_chess.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_mahjong.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_mahjong.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_sms_chat.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_sms_chat.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/22x22/apps/"
	cp -a "src/usr/share/icons/maemo-org/22x22/apps/mypaint.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/22x22/apps/mypaint.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/25x25/apps/"
	cp -a "src/usr/share/icons/maemo-org/25x25/apps/terminal.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/25x25/apps/terminal.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first_last.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first_last.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_last.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_last.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_middle.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_middle.png"
	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_pressed.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_pressed.png"
