## maemo-org 2.0.1-7

=== debian/changelog ===
maemo-org (2.0.1-7) stable; urgency=low

  Updated for PR 1.2, New icon set, and More.

 -- Andrew Black <andrewfblack@gmail.com>  Wed, 03 Nov 2010 00:31:39 +0000
