## maemo-org 2.0.1-8

=== debian/changelog ===
maemo-org (2.0.1-8) jaunty; urgency=low

  * Pr 1.2 Update.

 -- Andrew F Black <andrewfblack@gmail.com>  Wed, 3 Nov 2010 21:15:31 -0500
