## maemo-org 2.0.1-9

=== debian/changelog ===
maemo-org (2.0.1-9) stable; urgency=low

  Updated for PR 1.2, New icon set, and More.

 -- Andrew Black <andrewfblack@gmail.com>  Wed, 03 Nov 2010 21:03:44 +0000
