=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,23 @@
 	mkdir -p "$(CURDIR)/debian/maemo-org"
 
 #	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/blue-block.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/blue-block.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/chat_failed_sms.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/chat_failed_sms.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/chat_pending_sms.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/chat_pending_sms.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/chat_replied_chat.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/chat_replied_chat.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/chat_replied_sms.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/chat_replied_sms.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/chat_unread_sms.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/chat_unread_sms.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/control_bluetooth_uncategorised.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/control_bluetooth_uncategorised.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/email_message_editor.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/email_message_editor.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/email_message_send.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/email_message_send.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/filemanager_unknown_file.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/filemanager_unknown_file.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
@@ -59,6 +75,10 @@
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_bluetooth.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_bluetooth.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_chat.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_chat.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_locked.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_locked.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_map.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_map.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_notes.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_notes.png"
@@ -68,6 +88,8 @@
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_removable_memory_card.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_removable_memory_card.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_rss.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_rss.png"
+	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
+	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_sms.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_sms.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/general_synchronization.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/general_synchronization.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
@@ -81,22 +103,3 @@
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
 	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_blocks.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_blocks.png"
 	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
-	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_chess.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_chess.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
-	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_mahjong.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_mahjong.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/"
-	cp -a "src/usr/share/icons/maemo-org/32x32/hildon/tasklaunch_sms_chat.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/32x32/hildon/tasklaunch_sms_chat.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/22x22/apps/"
-	cp -a "src/usr/share/icons/maemo-org/22x22/apps/mypaint.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/22x22/apps/mypaint.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/25x25/apps/"
-	cp -a "src/usr/share/icons/maemo-org/25x25/apps/terminal.png" "$(CURDIR)/debian/maemo-org//usr/share/icons/maemo-org/25x25/apps/terminal.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
-	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
-	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first_last.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_first_last.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
-	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_last.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_last.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
-	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_middle.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_middle.png"
-	mkdir -p "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/"
-	cp -a "src/usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_pressed.png" "$(CURDIR)/debian/maemo-org//usr/share/themes/maemo-org-theme-folder/calendar/calendar_agenda_row_pressed.png"
